OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NodeUnion< ValueT, ChildT, typename std::enable_if< std::is_trivially_copyable< ValueT >::value >::type > Class Template Reference

Template specialization of a NodeUnion that stores the child pointer and the value together (int, float, pointer, etc.) More...

`#include <openvdb/tree/NodeUnion.h>`

## Public Member Functions
| NodeUnion ()
ChildT * | getChild () const
void | setChild (ChildT *child)
const ValueT & | getValue () const
ValueT & | getValue ()
void | setValue (const ValueT &val)

## Detailed Description

template<typename ValueT, typename ChildT>
class openvdb::v11_0::tree::NodeUnion< ValueT, ChildT, typename std::enable_if< std::is_trivially_copyable< ValueT >::value >::type >

Template specialization of a NodeUnion that stores the child pointer and the value together (int, float, pointer, etc.)

## Constructor & Destructor Documentation

## ◆ NodeUnion()

template<typename ValueT , typename ChildT >

NodeUnion | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getChild()

template<typename ValueT , typename ChildT >

ChildT * getChild | ( |  | ) | const
| inline

## ◆ getValue() [1/2]

template<typename ValueT , typename ChildT >

ValueT & getValue | ( |  | ) |
| inline

## ◆ getValue() [2/2]

template<typename ValueT , typename ChildT >

const ValueT & getValue | ( |  | ) | const
| inline

## ◆ setChild()

template<typename ValueT , typename ChildT >

void setChild | ( | ChildT * | child | ) |
| inline

## ◆ setValue()

template<typename ValueT , typename ChildT >

void setValue | ( | const ValueT & | val | ) |
| inline

## Member Data Documentation

## ◆ mChild

template<typename ValueT , typename ChildT >

ChildT* mChild

## ◆ mValue

template<typename ValueT , typename ChildT >

ValueT mValue